<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('ms_tabel_data', function (Blueprint $table) {
            $table->id('MsTabelDataId');
            $table->string('nomor_tabel')->nullable();
            $table->year('tahun');
            $table->string('name');
            $table->string('key')->nullable();
            $table->timestampsTz();
            $table->softdeletesTz();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('ms_table_data');
    }
};
